diff -urN -x .DS_Store /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC/Portfile ./Portfile
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC/Portfile	2013-12-06 18:30:38.000000000 -0500
+++ ./Portfile	2013-12-11 11:40:31.000000000 -0500
@@ -5,8 +5,7 @@
 PortGroup           compiler_blacklist_versions 1.0
 
 name                VLC
-version             2.1.0
-revision            3
+version             2.1.2
 categories          multimedia
 
 maintainers         jeremyhu openmaintainer
@@ -34,9 +33,9 @@
 distname            vlc-${version}
 use_xz              yes
 
-checksums           md5     8c77bda671821f5b9ede96b6816e2ade \
-                    sha1    f6bdf3971f764a9a192f44e4b6363ac482919dc2 \
-                    rmd160  b8f3240eb6941d3eb4b2fc21c8b279b80f4cd026
+checksums           md5     fb6787ad749aadcfaeab3471939b3426 \
+                    sha1    2b0ef3a3767c56d64a2815c772c8b3f865018e70 \
+                    rmd160  8e952218c2be5cb3ed0333ba776bd87477468a63
 
 depends_build   port:pkgconfig
 
@@ -46,11 +45,19 @@
                 port:ncurses port:lua port:libpng port:jpeg port:tiff port:libebml \
                 port:gnutls port:taglib port:libxml2 port:faad2 \
                 port:x264 port:libtheora port:twolame port:libssh2 \
-                port:libdvdnav port:libdvdread port:libproxy \
-                port:fluidsynth port:libsamplerate port:libupnp \
-                port:avahi path:lib/libavcodec.dylib:ffmpeg \
-                port:openjpeg15 port:libbluray \
-                port:libdc1394 port:libmpeg2
+                port:libdvdnav port:libdvdread port:libsamplerate port:libupnp \
+                port:avahi path:lib/libavcodec.dylib:ffmpeg port:openjpeg15 port:libbluray \
+                port:libdc1394 port:libmpeg2 port:dirac port:libass port:libsdl \
+                port:libsdl_image port:schroedinger port:speex port:libmodplug \
+                port:libmpcdec port:fontconfig port:freetype port:fribidi
+
+# extra deps found by port-depcheck.sh
+depends_lib-append \
+                port:XviD port:bzip2 port:gettext port:glib2 port:gmp \
+                port:libgpg-error port:libiconv port:libidn port:libsndfile \
+                port:libusb port:nettle port:openssl port:orc port:p11-kit \
+                port:readline port:xorg-libX11 port:xorg-libXau port:xorg-libXdmcp \
+                port:xorg-libXext port:xorg-libXrandr port:xorg-libxcb port:xrender
 
 # TODO: live555 opencv FreeRDP
 
@@ -74,8 +81,7 @@
     class_struct.patch \
     qtkit.patch \
     static_assert.patch \
-    no-sparkle.patch \
-    patch-freetype-2.5.1.diff
+    no-sparkle.patch
 
 post-patch {
     reinplace "s:librsvg-2/librsvg:librsvg:" \
@@ -104,15 +110,15 @@
 configure.args-append \
     --with-contrib=${worksrcpath}/contrib \
     --disable-debug --disable-update-check --enable-gnutls \
-    --disable-notify --disable-telepathy --disable-dbus \
+    --disable-notify --disable-dbus \
     --disable-gnomevfs --disable-growl --disable-macosx-vlc-app \
-    --enable-libproxy --enable-lua
+    --enable-lua
 
 # Input Plugins
 # build fails when FreeRDP is installed
 # build fails when opencv is installed
 configure.args-append \
-    --enable-dvdnav --enable-dvdread --disable-smb --disable-vcdx \
+    --enable-dvdnav --enable-dvdread --disable-smbclient --disable-vcdx \
     --disable-macosx-qtkit --disable-macosx-eyetv --disable-realrtsp \
     --disable-libfreerdp --disable-opencv \
     --enable-sftp
@@ -120,22 +126,22 @@
 # Mux/Demux Plugins
 configure.args-append \
     --disable-dvbpsi --enable-ogg --enable-mux_ogg \
-    --enable-mkv --disable-mod --disable-mpc --disable-shout
+    --enable-mkv --enable-mod --enable-mpc --disable-shout
 
 # Codec Plugins
 configure.args-append \
     --enable-a52 --enable-faad --enable-flac --disable-live555 \
-    --enable-opus --enable-vorbis --enable-ogg --enable-mad --disable-libass \
+    --enable-opus --enable-vorbis --enable-ogg --enable-mad --enable-libass \
     --enable-dca --enable-png --disable-quicktime --enable-twolame \
     --disable-speex --enable-theora --enable-x264 --enable-postproc \
     --enable-avcodec --enable-avformat --enable-swscale \
-    --enable-fluidsynth
+    --disable-fluidsynth --enable-dirac --enable-schroedinger --enable-speex
 
 # Video Plugins
 configure.args-append \
-    --disable-caca --disable-sdl --disable-macosx-vout \
+    --disable-caca --enable-sdl --enable-sdl-image --disable-macosx-vout \
     --without-x --disable-xcb --disable-xvideo --disable-glx \
-    --disable-fontconfig --disable-freetype --disable-fribidi \
+    --enable-freetype --enable-fontconfig --enable-fribidi \
     --disable-svg
 
 # Audio Plugins
@@ -145,7 +151,7 @@
 # Interface Plugins
 configure.args-append \
     --disable-macosx --disable-macosx-dialog-provider \
-    --disable-qt4 --enable-ncurses --disable-skins2
+    --disable-qt --enable-ncurses --disable-skins2
 
 # Visualisations and Video Filter Plugins
 configure.args-append \
@@ -155,10 +161,10 @@
 configure.args-append \
     --enable-bonjour --enable-upnp
 
-variant jack description {Enable jack plugin for audio output} {
-    depends_lib-append      port:jack
-    configure.args-delete   --disable-jack
-    configure.args-append   --enable-jack
+variant jack description {Enable jack and fluidsynth plugins for audio output} {
+    depends_lib-append      port:jack port:fluidsynth port:portaudio
+    configure.args-delete   --disable-jack --disable-fluidsynth
+    configure.args-append   --enable-jack --enable-fluidsynth
 }
 
 variant qtkit description {Enable qtcapture and qtaudio} {
@@ -171,12 +177,6 @@
     configure.args-append --enable-macosx-eyetv
 }
 
-variant speex description {Enable Speex decoder support} {
-    depends_lib-append      path:lib/libspeex.dylib:speex
-    configure.args-delete   --disable-speex
-    configure.args-append   --enable-speex
-}
-
 variant svg description {Enable SVG support} {
     depends_lib-append      port:librsvg
     configure.args-delete   --disable-svg
@@ -195,46 +195,16 @@
     configure.args-append   --enable-vcdx
 }
 
-variant mod description {Enable MOD demuxer support} {
-    depends_lib-append      port:libmodplug
-    configure.args-delete   --disable-mod
-    configure.args-append   --enable-mod
-}
-
-variant mpc description {enable Musepack Decoder library support} {
-    depends_lib-append      port:libmpcdec
-    configure.args-delete   --disable-mpc
-    configure.args-append   --enable-mpc
-}
-
 variant dvb description {enable DVB Program Specific Information support} {
     depends_lib-append      port:libdvbpsi
     configure.args-delete   --disable-dvbpsi
     configure.args-append   --enable-dvbpsi
 }
 
-variant osd description {Enable onscreen display and TrueType font support} {
-    depends_lib-append      port:fontconfig port:freetype
-    configure.args-delete   --disable-freetype --disable-fontconfig
-    configure.args-append   --enable-freetype --enable-fontconfig
-}
-
-variant fribidi requires osd description {Enable FriBidi Unicode support} {
-    depends_lib-append      port:fribidi
-    configure.args-delete   --disable-fribidi
-    configure.args-append   --enable-fribidi
-}
-
-variant sdl description {Enable SDL/SDL-Image support} {
-    depends_lib-append      port:libsdl port:libsdl_image
-    configure.args-delete   --disable-sdl
-    configure.args-append   --enable-sdl
-}
-
 variant smb description {Enable Samba 3 support} {
     depends_lib-append      port:samba3
-    configure.args-delete   --disable-smb
-    configure.args-append   --enable-smb
+    configure.args-delete   --disable-smbclient
+    configure.args-append   --enable-smbclient
     configure.ldflags-append    -L${prefix}/lib/samba3
 }
 
@@ -253,8 +223,8 @@
 }
 
 variant qt4 description {Build using QT4 UI.  This will use qt4-mac} {
-    configure.args-delete   --disable-qt4
-    configure.args-append   --enable-qt4
+    configure.args-delete   --disable-qt
+    configure.args-append   --enable-qt
 
     PortGroup qt4 1.0
 
@@ -271,10 +241,8 @@
     configure.args-append   --enable-macosx --enable-macosx-dialog-provider
 }
 
-default_variants +mod +mpc +osd +quartz
-
 variant huge \
-    requires dvb eyetv fribidi jack mod mpc osd sdl shout speex svg vcd \
+    requires dvb eyetv jack shout svg vcd \
     description {Enable all variants except quartz, qt4, smb, and x11} {}
 
 variant full \
@@ -282,14 +250,13 @@
     description {Enable all variants} {}
 
 platform macosx {
-    default_variants-append +qtkit
+    default_variants-append +quartz +qtkit
 
     configure.args-delete \
         --disable-macosx-vout --disable-macosx-audio \
 
     configure.args-append \
-        --enable-macosx-vout --enable-macosx-audio \
-        --with-macosx-sdk=/
+        --enable-macosx-vout --enable-macosx-audio
 
     if {[variant_isset qt4] || [variant_isset quartz]} {
         configure.args-delete --disable-macosx-vlc-app
@@ -326,20 +293,9 @@
         eval file delete [glob ${destroot}${prefix}/lib/vlc/plugins/*/*.la]
 
         if {[variant_isset qt4] || [variant_isset quartz]} {
-            file rename ${worksrcpath}/VLC.app ${destroot}${applications_dir}/VLC.app
-
-            # These are already in ${prefix}, so we don't need to bundle them as well
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/Frameworks
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/lib
-
-            # There's no need to install these into the bundle and the prefix
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/MacOS/include
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/MacOS/lib
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/MacOS/plugins
-
-            # http://trac.macports.org/ticket/35131
-            ln -s ${prefix}/lib ${destroot}${applications_dir}/VLC.app/Contents/MacOS/lib
-            ln -s ${prefix}/lib/vlc/plugins ${destroot}${applications_dir}/VLC.app/Contents/MacOS/plugins
+            file copy ${worksrcpath}/VLC.app ${destroot}${applications_dir}/VLC.app
+            file copy ${worksrcpath}/modules/plugins.dat \
+                 ${destroot}${applications_dir}/VLC.app/Contents/MacOS/plugins/plugins.dat
         }
     }
 }
diff -urN -x .DS_Store /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC/files/no-sparkle.patch ./files/no-sparkle.patch
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC/files/no-sparkle.patch	2013-09-26 12:00:32.000000000 -0400
+++ ./files/no-sparkle.patch	2013-12-11 08:23:09.000000000 -0500
@@ -95,20 +95,19 @@
  #pragma mark Media Key support
  
  -(void)mediaKeyTap:(SPMediaKeyTap*)keyTap receivedMediaKeyEvent:(NSEvent*)event
-diff --git modules/gui/macosx/simple_prefs.m modules/gui/macosx/simple_prefs.m
-index a91fe3a..4407d25 100644
---- modules/gui/macosx/simple_prefs.m
-+++ modules/gui/macosx/simple_prefs.m
+diff -u modules/gui/macosx/simple_prefs.m.orig modules/gui/macosx/simple_prefs.m
+--- modules/gui/macosx/simple_prefs.m.orig	2013-12-11 08:20:00.000000000 -0500
++++ modules/gui/macosx/simple_prefs.m	2013-12-11 08:21:56.000000000 -0500
 @@ -38,8 +38,6 @@
  #import "AppleRemote.h"
  #import "CoreInteraction.h"
  
 -#import <Sparkle/Sparkle.h>                        //for o_intf_last_update_lbl
 -
- static NSString* VLCSPrefsToolbarIdentifier = @"Our Simple Preferences Toolbar Identifier";
- static NSString* VLCIntfSettingToolbarIdentifier = @"Intf Settings Item Identifier";
- static NSString* VLCAudioSettingToolbarIdentifier = @"Audio Settings Item Identifier";
-@@ -235,7 +233,6 @@ create_toolbar_item(NSString * o_itemIdent, NSString * o_name, NSString * o_desc
+ static const char *const ppsz_language[] =
+ {
+     "auto",
+@@ -365,7 +363,6 @@
      [o_intf_appleremote_sysvol_ckb setTitle: _NS("Control system volume with the Apple Remote")];
      [o_intf_mediakeys_ckb setTitle: _NS("Control playback with media keys")];
      [o_intf_update_ckb setTitle: _NS("Automatically check for updates")];
@@ -116,7 +115,7 @@
      [o_intf_enableGrowl_ckb setTitle: _NS("Enable Growl notifications (on playlist item change)")];
      [o_intf_autoresize_ckb setTitle: _NS("Resize interface to the native video size")];
      [o_intf_pauseminimized_ckb setTitle: _NS("Pause the video playback when minimized")];
-@@ -440,10 +437,6 @@ static inline char * __config_GetLabel(vlc_object_t *p_this, const char *psz_nam
+@@ -585,10 +582,6 @@
      [self setupButton: o_intf_appleremote_sysvol_ckb forBoolValue: "macosx-appleremote-sysvol"];
  
      [self setupButton: o_intf_mediakeys_ckb forBoolValue: "macosx-mediakeys"];
diff -urN -x .DS_Store /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC/files/patch-freetype-2.5.1.diff ./files/patch-freetype-2.5.1.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC/files/patch-freetype-2.5.1.diff	2013-12-06 18:30:38.000000000 -0500
+++ ./files/patch-freetype-2.5.1.diff	1969-12-31 19:00:00.000000000 -0500
@@ -1,30 +0,0 @@
-From c5b2b0a284ba6b544646f3a205aa1a2e1117d431 Mon Sep 17 00:00:00 2001
-From: Jean-Baptiste Kempf <jb@videolan.org>
-Date: Mon, 2 Dec 2013 17:32:07 +0100
-Subject: [PATCH 1/1] Freetype: fix compilation with 2.5.1
-
-Close #10019
----
- modules/text_renderer/freetype.c |    3 ++-
- 1 file changed, 2 insertions(+), 1 deletion(-)
-
-diff --git a/modules/text_renderer/freetype.c b/modules/text_renderer/freetype.c
-index bd78c0d..baeeb96 100644
---- modules/text_renderer/freetype.c
-+++ modules/text_renderer/freetype.c
-@@ -88,10 +88,11 @@
- #endif
- 
- /* Freetype */
--#include <freetype/ftsynth.h>
-+#include <ft2build.h>
- #include FT_FREETYPE_H
- #include FT_GLYPH_H
- #include FT_STROKER_H
-+#include FT_SYNTHESIS_H
- 
- #define FT_FLOOR(X)     ((X & -64) >> 6)
- #define FT_CEIL(X)      (((X + 63) & -64) >> 6)
--- 
-1.7.10.4
-