--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC/Portfile	2014-01-17 16:31:08.000000000 -0500
+++ ./Portfile	2014-02-21 10:22:22.000000000 -0500
@@ -1,16 +1,15 @@
 # -*- coding: utf-8; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:et:sw=4:ts=4:sts=4
-# $Id: Portfile 116083 2014-01-17 21:01:09Z devans@macports.org $
+# $Id: Portfile 114384 2013-12-06 23:14:44Z devans@macports.org $
 
 PortSystem          1.0
 PortGroup           compiler_blacklist_versions 1.0
 
 name                VLC
-version             2.1.2
-revision            1
+version             2.1.3
 categories          multimedia
 
 maintainers         jeremyhu openmaintainer
-description         VLC is a cross-platform media player and streaming server
+description         media player and streaming server
 long_description    VLC media player is a highly portable multimedia player for \
                     various audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, \
                     mp3, ogg, ...) as well as DVDs, VCDs, and various streaming protocols. \
@@ -34,9 +33,9 @@
 distname            vlc-${version}
 use_xz              yes
 
-checksums           md5     fb6787ad749aadcfaeab3471939b3426 \
-                    sha1    2b0ef3a3767c56d64a2815c772c8b3f865018e70 \
-                    rmd160  8e952218c2be5cb3ed0333ba776bd87477468a63
+checksums           md5     56a489d093ffef9aa29809116985adba \
+                    sha1    de3e0b027bbb2dc2451992c428f2bed824128039 \
+                    rmd160  187337e0149cf9d86b6a4266128cbf0bc5bcf777
 
 depends_build   port:pkgconfig
 
@@ -46,11 +45,19 @@
                 port:ncurses port:lua port:libpng port:jpeg port:tiff port:libebml \
                 port:gnutls port:taglib port:libxml2 port:faad2 \
                 port:x264 port:libtheora port:twolame port:libssh2 \
-                port:libdvdnav port:libdvdread port:libproxy \
-                port:fluidsynth port:libsamplerate port:libupnp \
-                port:avahi path:lib/libavcodec.dylib:ffmpeg \
-                port:openjpeg15 port:libbluray \
-                port:libdc1394 port:libmpeg2
+                port:libdvdnav port:libdvdread port:libsamplerate port:libupnp \
+                port:avahi path:lib/libavcodec.dylib:ffmpeg port:openjpeg15 port:libbluray \
+                port:libdc1394 port:libmpeg2 port:dirac port:libass port:libsdl \
+                port:libsdl_image port:schroedinger port:speex port:libmodplug \
+                port:libmpcdec port:fontconfig port:freetype port:fribidi port:libdvbpsi
+
+# extra deps found by port-depcheck.sh
+depends_lib-append \
+                port:XviD port:bzip2 port:gettext port:glib2 port:gmp \
+                port:libgpg-error port:libiconv port:libidn port:libsndfile \
+                port:libusb port:nettle port:openssl port:orc port:p11-kit \
+                port:readline port:xorg-libX11 port:xorg-libXau port:xorg-libXdmcp \
+                port:xorg-libXext port:xorg-libXrandr port:xorg-libxcb port:xrender
 
 # TODO: live555 opencv FreeRDP
 
@@ -79,25 +86,6 @@
 post-patch {
     reinplace "s:librsvg-2/librsvg:librsvg:" \
         ${worksrcpath}/modules/text_renderer/svg.c
-
-    set cxxstdlib {}
-
-    if {[info exists configure.cxx_stdlib] &&
-        ${configure.cxx_stdlib} ne {} &&
-        [string match *clang* ${configure.cxx}]} {
-        set cxxstdlib ${configure.cxx_stdlib}
-    } elseif {[string match *clang* ${configure.cxx}] &&
-              ${os.major} >= 13} {
-        set cxxstdlib libc++
-    } else {
-        set cxxstdlib libstdc++
-    }
-
-    if {${cxxstdlib} == "libc++"} {
-        reinplace "s:-lstdc\+\+:-lc++:" \
-            ${worksrcpath}/configure.ac \
-            ${worksrcpath}/modules/access/Makefile.am
-    }
 }
 
 use_autoreconf      yes
@@ -107,7 +95,7 @@
 depends_build-append port:libtool port:autoconf port:automake
 
 configure.env-append CXXCPP="${configure.cxx} -E"
-build.args-append    DESTDIR=${worksrcpath}/dest_ignore V=1
+build.args-append    DESTDIR=${worksrcpath}/dest_ignore
 
 # gl.c:121:3: error: Platform not recognized.
 configure.cppflags-append -D__unix__=1
@@ -122,38 +110,38 @@
 configure.args-append \
     --with-contrib=${worksrcpath}/contrib \
     --disable-debug --disable-update-check --enable-gnutls \
-    --disable-notify --disable-telepathy --disable-dbus \
+    --disable-notify --disable-dbus \
     --disable-gnomevfs --disable-growl --disable-macosx-vlc-app \
-    --enable-libproxy --enable-lua
+    --enable-lua
 
 # Input Plugins
 # build fails when FreeRDP is installed
 # build fails when opencv is installed
 configure.args-append \
-    --enable-dvdnav --enable-dvdread --disable-smb --disable-vcdx \
+    --enable-dvdnav --enable-dvdread --disable-smbclient --disable-vcdx \
     --disable-macosx-qtkit --disable-macosx-eyetv --disable-realrtsp \
     --disable-libfreerdp --disable-opencv \
     --enable-sftp
 
 # Mux/Demux Plugins
 configure.args-append \
-    --disable-dvbpsi --enable-ogg --enable-mux_ogg \
-    --enable-mkv --disable-mod --disable-mpc --disable-shout
+    --enable-dvbpsi --enable-ogg --enable-mux_ogg \
+    --enable-mkv --enable-mod --enable-mpc --disable-shout
 
 # Codec Plugins
 configure.args-append \
     --enable-a52 --enable-faad --enable-flac --disable-live555 \
-    --enable-opus --enable-vorbis --enable-ogg --enable-mad --disable-libass \
+    --enable-opus --enable-vorbis --enable-ogg --enable-mad --enable-libass \
     --enable-dca --enable-png --disable-quicktime --enable-twolame \
     --disable-speex --enable-theora --enable-x264 --enable-postproc \
     --enable-avcodec --enable-avformat --enable-swscale \
-    --enable-fluidsynth
+    --disable-fluidsynth --enable-dirac --enable-schroedinger --enable-speex
 
 # Video Plugins
 configure.args-append \
-    --disable-caca --disable-sdl --disable-macosx-vout \
+    --disable-caca --enable-sdl --enable-sdl-image --disable-macosx-vout \
     --without-x --disable-xcb --disable-xvideo --disable-glx \
-    --disable-fontconfig --disable-freetype --disable-fribidi \
+    --enable-freetype --enable-fontconfig --enable-fribidi \
     --disable-svg
 
 # Audio Plugins
@@ -163,7 +151,7 @@
 # Interface Plugins
 configure.args-append \
     --disable-macosx --disable-macosx-dialog-provider \
-    --disable-qt4 --enable-ncurses --disable-skins2
+    --disable-qt --enable-ncurses --disable-skins2
 
 # Visualisations and Video Filter Plugins
 configure.args-append \
@@ -173,10 +161,10 @@
 configure.args-append \
     --enable-bonjour --enable-upnp
 
-variant jack description {Enable jack plugin for audio output} {
-    depends_lib-append      port:jack
-    configure.args-delete   --disable-jack
-    configure.args-append   --enable-jack
+variant jack description {Enable jack and fluidsynth plugins for audio output} {
+    depends_lib-append      port:jack port:fluidsynth port:portaudio
+    configure.args-delete   --disable-jack --disable-fluidsynth
+    configure.args-append   --enable-jack --enable-fluidsynth
 }
 
 variant qtkit description {Enable qtcapture and qtaudio} {
@@ -184,79 +172,32 @@
     configure.args-append   --enable-macosx-qtkit
 }
 
-variant eyetv description {Enable eyetv plugin} {
-    configure.args-delete --disable-macosx-eyetv
-    configure.args-append --enable-macosx-eyetv
-}
-
-variant speex description {Enable Speex decoder support} {
-    depends_lib-append      path:lib/libspeex.dylib:speex
-    configure.args-delete   --disable-speex
-    configure.args-append   --enable-speex
-}
-
 variant svg description {Enable SVG support} {
     depends_lib-append      port:librsvg
     configure.args-delete   --disable-svg
     configure.args-append   --enable-svg
 }
 
-variant shout description {Enable Shoutcast support} {
+variant shout description {Enable Shoutcast/Icecast streaming output support} {
     depends_lib-append      port:libshout2
     configure.args-delete   --disable-shout
     configure.args-append   --enable-shout
 }
 
-variant vcd description {Enable VCD support} {
+variant vcd description {Enable support for playing Video CD} {
     depends_lib-append      port:vcdimager
     configure.args-delete   --disable-vcdx
     configure.args-append   --enable-vcdx
 }
 
-variant mod description {Enable MOD demuxer support} {
-    depends_lib-append      port:libmodplug
-    configure.args-delete   --disable-mod
-    configure.args-append   --enable-mod
-}
-
-variant mpc description {enable Musepack Decoder library support} {
-    depends_lib-append      port:libmpcdec
-    configure.args-delete   --disable-mpc
-    configure.args-append   --enable-mpc
-}
-
-variant dvb description {enable DVB Program Specific Information support} {
-    depends_lib-append      port:libdvbpsi
-    configure.args-delete   --disable-dvbpsi
-    configure.args-append   --enable-dvbpsi
-}
-
-variant osd description {Enable onscreen display and TrueType font support} {
-    depends_lib-append      port:fontconfig port:freetype
-    configure.args-delete   --disable-freetype --disable-fontconfig
-    configure.args-append   --enable-freetype --enable-fontconfig
-}
-
-variant fribidi requires osd description {Enable FriBidi Unicode support} {
-    depends_lib-append      port:fribidi
-    configure.args-delete   --disable-fribidi
-    configure.args-append   --enable-fribidi
-}
-
-variant sdl description {Enable SDL/SDL-Image support} {
-    depends_lib-append      port:libsdl port:libsdl_image
-    configure.args-delete   --disable-sdl
-    configure.args-append   --enable-sdl
-}
-
-variant smb description {Enable Samba 3 support} {
+variant smb description {Enable Samba 3 input support} {
     depends_lib-append      port:samba3
-    configure.args-delete   --disable-smb
-    configure.args-append   --enable-smb
+    configure.args-delete   --disable-smbclient
+    configure.args-append   --enable-smbclient
     configure.ldflags-append    -L${prefix}/lib/samba3
 }
 
-variant x11 {
+variant x11 description {Build using X11 UI. Use at own risk} {
     depends_lib-append \
         port:mesa \
         port:xorg-libXinerama \
@@ -270,9 +211,9 @@
                             --enable-xvideo --enable-glx --enable-xcb
 }
 
-variant qt4 description {Build using QT4 UI.  This will use qt4-mac} {
-    configure.args-delete   --disable-qt4
-    configure.args-append   --enable-qt4
+variant qt4 description {Build using QT4 UI.  This will use qt4-mac. Experimental} {
+    configure.args-delete   --disable-qt
+    configure.args-append   --enable-qt
 
     PortGroup qt4 1.0
 
@@ -289,10 +230,8 @@
     configure.args-append   --enable-macosx --enable-macosx-dialog-provider
 }
 
-default_variants +mod +mpc +osd +quartz
-
 variant huge \
-    requires dvb eyetv fribidi jack mod mpc osd sdl shout speex svg vcd \
+    requires jack shout svg vcd \
     description {Enable all variants except quartz, qt4, smb, and x11} {}
 
 variant full \
@@ -300,14 +239,13 @@
     description {Enable all variants} {}
 
 platform macosx {
-    default_variants-append +qtkit
+    default_variants-append +quartz +qtkit
 
     configure.args-delete \
-        --disable-macosx-vout --disable-macosx-audio \
+        --disable-macosx-vout --disable-macosx-audio --disable-macosx-eyetv \
 
     configure.args-append \
-        --enable-macosx-vout --enable-macosx-audio \
-        --with-macosx-sdk=/
+        --enable-macosx-vout --enable-macosx-audio --enable-macosx-eyetv
 
     if {[variant_isset qt4] || [variant_isset quartz]} {
         configure.args-delete --disable-macosx-vlc-app
@@ -317,14 +255,14 @@
     post-patch {
         reinplace "s/Appkit/AppKit/" ${worksrcpath}/configure.ac
         reinplace "/Sparkle.framework/d" \
-            ${worksrcpath}/extras/package/macosx/vlc.xcodeproj/project.pbxproj 
+            ${worksrcpath}/extras/package/macosx/vlc.xcodeproj/project.pbxproj
         reinplace "/SDKROOT/d" \
-            ${worksrcpath}/extras/package/macosx/vlc.xcodeproj/project.pbxproj 
+            ${worksrcpath}/extras/package/macosx/vlc.xcodeproj/project.pbxproj
         reinplace "/Growl.framework/d" \
             ${worksrcpath}/extras/package/macosx/package.mak
 
         reinplace "s:LD_LIBRARY_PATH:DYLD_LIBRARY_PATH:g" \
-            ${worksrcpath}/Makefile.am 
+            ${worksrcpath}/Makefile.am
 
         reinplace "/argv/s/environ/*_NSGetEnviron()/" \
             ${worksrcpath}/modules/misc/inhibit/xdg.c \
@@ -344,20 +282,9 @@
         eval file delete [glob ${destroot}${prefix}/lib/vlc/plugins/*/*.la]
 
         if {[variant_isset qt4] || [variant_isset quartz]} {
-            file rename ${worksrcpath}/VLC.app ${destroot}${applications_dir}/VLC.app
-
-            # These are already in ${prefix}, so we don't need to bundle them as well
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/Frameworks
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/lib
-
-            # There's no need to install these into the bundle and the prefix
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/MacOS/include
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/MacOS/lib
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/MacOS/plugins
-
-            # http://trac.macports.org/ticket/35131
-            ln -s ${prefix}/lib ${destroot}${applications_dir}/VLC.app/Contents/MacOS/lib
-            ln -s ${prefix}/lib/vlc/plugins ${destroot}${applications_dir}/VLC.app/Contents/MacOS/plugins
+            file copy ${worksrcpath}/VLC.app ${destroot}${applications_dir}/VLC.app
+            file copy ${worksrcpath}/modules/plugins.dat \
+                 ${destroot}${applications_dir}/VLC.app/Contents/MacOS/plugins/plugins.dat
         }
     }
 }