diff -urN -x .DS_Store /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC-devel/Portfile ./Portfile
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC-devel/Portfile	2014-01-17 16:31:08.000000000 -0500
+++ ./Portfile	2014-02-25 10:46:45.000000000 -0500
@@ -5,13 +5,11 @@
 PortGroup           compiler_blacklist_versions 1.0
 
 name                VLC-devel
-version             2.1.99
-revision            5
-
+version             2.1.3
 categories          multimedia
 
 maintainers         jeremyhu openmaintainer
-description         VLC is a cross-platform media player and streaming server
+description         media player and streaming server, development version
 long_description    VLC media player is a highly portable multimedia player for \
                     various audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, \
                     mp3, ogg, ...) as well as DVDs, VCDs, and various streaming protocols. \
@@ -26,18 +24,18 @@
 
 # http://git.videolan.org/?p=vlc.git
 # http://git.videolan.org/?p=vlc.git;a=forks
-fetch.type      git
+#fetch.type      git
 #git.url         git://git.videolan.org/vlc/vlc-2.1.git
-git.url         git://git.videolan.org/vlc.git
-git.branch      050a16328dac1d3573326c43d47376d08210604d
+#git.url         git://git.videolan.org/vlc.git
+#git.branch      edd88358218f273fddde646a172a2104796d46c2
 
-#master_sites        http://download.videolan.org/pub/videolan/vlc/${version}/
-#distname            vlc-${version}
-#use_xz              yes
-#
-#checksums           md5     5ad114755670e4881a2b35354e2f79bc \
-#                    sha1    40d0ed360dd3fa7dc3ff4fbc9c319553ebb22538 \
-#                    rmd160  9d932e1be72b65cf47057191d9e84deeedea282c
+master_sites        http://download.videolan.org/pub/videolan/vlc/${version}/
+distname            vlc-${version}
+use_xz              yes
+
+checksums           md5     56a489d093ffef9aa29809116985adba \
+                    sha1    de3e0b027bbb2dc2451992c428f2bed824128039 \
+                    rmd160  187337e0149cf9d86b6a4266128cbf0bc5bcf777
 
 depends_build   port:pkgconfig
 
@@ -47,11 +45,16 @@
                 port:ncurses port:lua port:libpng port:jpeg port:tiff port:libebml \
                 port:gnutls port:taglib port:libxml2 port:faad2 \
                 port:x264 port:libtheora port:twolame port:libssh2 \
-                port:libdvdnav port:libdvdread port:libproxy \
-                port:fluidsynth port:libsamplerate port:libupnp \
-                port:avahi path:lib/libavcodec.dylib:ffmpeg \
-                port:openjpeg15 port:libbluray \
-                port:libdc1394 port:libmpeg2
+                port:libdvdnav port:libdvdread port:libsamplerate port:libupnp \
+                port:avahi path:lib/libavcodec.dylib:ffmpeg port:openjpeg15 port:libbluray \
+                port:libdc1394 port:libmpeg2 port:dirac port:libass port:libsdl \
+                port:libsdl_image port:schroedinger port:speex port:libmodplug \
+                port:libmpcdec port:fontconfig port:freetype port:fribidi port:libdvbpsi \
+                port:XviD port:bzip2 port:gettext port:glib2 port:gmp \
+                port:libgpg-error port:libiconv port:libidn port:libsndfile \
+                port:libusb port:nettle port:openssl port:orc port:p11-kit \
+                port:readline port:xorg-libX11 port:xorg-libXau port:xorg-libXdmcp \
+                port:xorg-libXext port:xorg-libXrandr port:xorg-libxcb port:xrender
 
 # TODO: live555 opencv FreeRDP
 
@@ -73,31 +76,13 @@
     configure.ac-no-arch.patch \
     PR-34741-no__clang_version__.patch \
     class_struct.patch \
+    qtkit.patch \
     static_assert.patch \
     no-sparkle.patch
 
 post-patch {
     reinplace "s:librsvg-2/librsvg:librsvg:" \
         ${worksrcpath}/modules/text_renderer/svg.c
-
-    set cxxstdlib {}
-
-    if {[info exists configure.cxx_stdlib] &&
-        ${configure.cxx_stdlib} ne {} &&
-        [string match *clang* ${configure.cxx}]} {
-        set cxxstdlib ${configure.cxx_stdlib}
-    } elseif {[string match *clang* ${configure.cxx}] &&
-              ${os.major} >= 13} {
-        set cxxstdlib libc++
-    } else {
-        set cxxstdlib libstdc++
-    }
-
-    if {${cxxstdlib} == "libc++"} {
-        reinplace "s:-lstdc\+\+:-lc++:" \
-            ${worksrcpath}/configure.ac \
-            ${worksrcpath}/modules/access/Makefile.am
-    }
 }
 
 use_autoreconf      yes
@@ -121,38 +106,38 @@
 configure.args-append \
     --with-contrib=${worksrcpath}/contrib \
     --disable-debug --disable-update-check --enable-gnutls \
-    --disable-notify --disable-telepathy --disable-dbus \
+    --disable-notify --disable-dbus \
     --disable-gnomevfs --disable-growl --disable-macosx-vlc-app \
-    --enable-libproxy --enable-lua
+    --enable-lua
 
 # Input Plugins
 # build fails when FreeRDP is installed
 # build fails when opencv is installed
 configure.args-append \
-    --enable-dvdnav --enable-dvdread --disable-smb --disable-vcdx \
+    --enable-dvdnav --enable-dvdread --disable-smbclient --disable-vcdx \
     --disable-macosx-qtkit --disable-macosx-eyetv --disable-realrtsp \
-    --disable-freerdp --disable-opencv \
+    --disable-libfreerdp --disable-opencv \
     --enable-sftp
 
 # Mux/Demux Plugins
 configure.args-append \
-    --disable-dvbpsi --enable-ogg --enable-mux_ogg \
-    --enable-mkv --disable-mod --disable-mpc --disable-shout
+    --enable-dvbpsi --enable-ogg --enable-mux_ogg \
+    --enable-mkv --enable-mod --enable-mpc --disable-shout
 
 # Codec Plugins
 configure.args-append \
     --enable-a52 --enable-faad --enable-flac --disable-live555 \
-    --enable-opus --enable-vorbis --enable-ogg --enable-mad --disable-libass \
+    --enable-opus --enable-vorbis --enable-ogg --enable-mad --enable-libass \
     --enable-dca --enable-png --disable-quicktime --enable-twolame \
-    --disable-speex --enable-theora --enable-x264 --enable-postproc \
+    --enable-speex --enable-theora --enable-x264 --enable-postproc \
     --enable-avcodec --enable-avformat --enable-swscale \
-    --enable-fluidsynth
+    --disable-fluidsynth --enable-dirac --enable-schroedinger
 
 # Video Plugins
 configure.args-append \
-    --disable-caca --disable-sdl --disable-macosx-vout \
+    --disable-caca --enable-sdl --enable-sdl-image --disable-macosx-vout \
     --without-x --disable-xcb --disable-xvideo --disable-glx \
-    --disable-fontconfig --disable-freetype --disable-fribidi \
+    --enable-freetype --enable-fontconfig --enable-fribidi \
     --disable-svg
 
 # Audio Plugins
@@ -162,20 +147,20 @@
 # Interface Plugins
 configure.args-append \
     --disable-macosx --disable-macosx-dialog-provider \
-    --disable-qt4 --enable-ncurses --disable-skins2
+    --disable-qt --enable-ncurses --disable-skins2
 
 # Visualisations and Video Filter Plugins
 configure.args-append \
-    --disable-goom --disable-glspectrum
+    --disable-goom
 
 # Service Discovery Plugins
 configure.args-append \
     --enable-bonjour --enable-upnp
 
-variant jack description {Enable jack plugin for audio output} {
-    depends_lib-append      port:jack
-    configure.args-delete   --disable-jack
-    configure.args-append   --enable-jack
+variant jack description {Enable jack and fluidsynth plugins for audio output} {
+    depends_lib-append      port:jack port:fluidsynth port:portaudio
+    configure.args-delete   --disable-jack --disable-fluidsynth
+    configure.args-append   --enable-jack --enable-fluidsynth
 }
 
 variant qtkit description {Enable qtcapture and qtaudio} {
@@ -183,91 +168,32 @@
     configure.args-append   --enable-macosx-qtkit
 }
 
-variant eyetv description {Enable eyetv plugin} {
-    configure.args-delete --disable-macosx-eyetv
-    configure.args-append --enable-macosx-eyetv
-}
-
-variant speex description {Enable Speex decoder support} {
-    depends_lib-append      path:lib/libspeex.dylib:speex
-    configure.args-delete   --disable-speex
-    configure.args-append   --enable-speex
-}
-
 variant svg description {Enable SVG support} {
     depends_lib-append      port:librsvg
     configure.args-delete   --disable-svg
     configure.args-append   --enable-svg
 }
 
-variant shout description {Enable Shoutcast support} {
+variant shout description {Enable Shoutcast/Icecast streaming output support} {
     depends_lib-append      port:libshout2
     configure.args-delete   --disable-shout
     configure.args-append   --enable-shout
 }
 
-# TODO: libvcdx_plugin.la fails to link, eg:
-#   "_cdio_log_set_handler", referenced from:
-#      _VCDOpen in libvcdx_plugin_la-access.o
-#  "_cdio_read_mode2_sector", referenced from:
-#      _vcdplayer_read in libvcdx_plugin_la-vcdplayer.o
-#  "_vcd_log_set_handler", referenced from:
-#      _VCDOpen in libvcdx_plugin_la-access.o
-#  "_vcdinf_get_bsn", referenced from:
-#      _vcdplayer_read in libvcdx_plugin_la-vcdplayer.o
-#  "_vcdinf_get_loop_count", referenced from:
-#      _vcdplayer_read in libvcdx_plugin_la-vcdplayer.o
-#      _VCDMetaInfo in libvcdx_plugin_la-info.o
-#variant vcd description {Enable VCD support} {
-#    depends_lib-append      port:vcdimager
-#    configure.args-delete   --disable-vcdx
-#    configure.args-append   --enable-vcdx
-#}
-
-variant mod description {Enable MOD demuxer support} {
-    depends_lib-append      port:libmodplug
-    configure.args-delete   --disable-mod
-    configure.args-append   --enable-mod
-}
-
-variant mpc description {enable Musepack Decoder library support} {
-    depends_lib-append      port:libmpcdec
-    configure.args-delete   --disable-mpc
-    configure.args-append   --enable-mpc
-}
-
-variant dvb description {enable DVB Program Specific Information support} {
-    depends_lib-append      port:libdvbpsi
-    configure.args-delete   --disable-dvbpsi
-    configure.args-append   --enable-dvbpsi
-}
-
-variant osd description {Enable onscreen display and TrueType font support} {
-    depends_lib-append      port:fontconfig port:freetype
-    configure.args-delete   --disable-freetype --disable-fontconfig
-    configure.args-append   --enable-freetype --enable-fontconfig
-}
-
-variant fribidi requires osd description {Enable FriBidi Unicode support} {
-    depends_lib-append      port:fribidi
-    configure.args-delete   --disable-fribidi
-    configure.args-append   --enable-fribidi
-}
-
-variant sdl description {Enable SDL/SDL-Image support} {
-    depends_lib-append      port:libsdl port:libsdl_image
-    configure.args-delete   --disable-sdl
-    configure.args-append   --enable-sdl
+variant vcd description {Enable support for playing Video CD} {
+    depends_lib-append      port:vcdimager
+    configure.args-delete   --disable-vcdx
+    configure.args-append   --enable-vcdx
 }
 
-variant smb description {Enable Samba 3 support} {
+variant smb description {Enable Samba 3 input support} {
     depends_lib-append      port:samba3
-    configure.args-delete   --disable-smb
-    configure.args-append   --enable-smb
+    configure.args-delete   --disable-smbclient
+    configure.args-append   --enable-smbclient
     configure.ldflags-append    -L${prefix}/lib/samba3
 }
 
-variant x11 {
+variant x11 description {Build using X11 UI. Use at own risk} {
     depends_lib-append \
         port:mesa \
         port:xorg-libXinerama \
@@ -276,14 +202,14 @@
         port:xorg-xcb-util \
         port:xorg-xcb-util-keysyms
 
-    configure.args-delete   --without-x --disable-xvideo --disable-glx --disable-glspectrum --disable-xcb
+    configure.args-delete   --without-x --disable-xvideo --disable-glx --disable-xcb
     configure.args-append   --with-x --x-include=${prefix}/include --x-lib=${prefix}/lib \
-                            --enable-xvideo --enable-glx --enable-glspectrum --enable-xcb 
+                            --enable-xvideo --enable-glx --enable-xcb
 }
 
-variant qt4 description {Build using QT4 UI.  This will use qt4-mac} {
-    configure.args-delete   --disable-qt4
-    configure.args-append   --enable-qt4
+variant qt4 description {Build using QT4 UI.  This will use qt4-mac. Experimental} {
+    configure.args-delete   --disable-qt
+    configure.args-append   --enable-qt
 
     PortGroup qt4 1.0
 
@@ -300,10 +226,8 @@
     configure.args-append   --enable-macosx --enable-macosx-dialog-provider
 }
 
-default_variants +mod +mpc +osd +quartz
-
 variant huge \
-    requires dvb eyetv fribidi jack mod mpc osd sdl shout speex svg vcd \
+    requires jack shout svg vcd \
     description {Enable all variants except quartz, qt4, smb, and x11} {}
 
 variant full \
@@ -311,14 +235,13 @@
     description {Enable all variants} {}
 
 platform macosx {
-    default_variants-append +qtkit
+    default_variants-append +quartz +qtkit
 
     configure.args-delete \
-        --disable-macosx-vout --disable-macosx-audio \
+        --disable-macosx-vout --disable-macosx-audio --disable-macosx-eyetv
 
     configure.args-append \
-        --enable-macosx-vout --enable-macosx-audio \
-        --with-macosx-sdk=/
+        --enable-macosx-vout --enable-macosx-audio --enable-macosx-eyetv
 
     if {[variant_isset qt4] || [variant_isset quartz]} {
         configure.args-delete --disable-macosx-vlc-app
@@ -328,14 +251,14 @@
     post-patch {
         reinplace "s/Appkit/AppKit/" ${worksrcpath}/configure.ac
         reinplace "/Sparkle.framework/d" \
-            ${worksrcpath}/extras/package/macosx/vlc.xcodeproj/project.pbxproj 
+            ${worksrcpath}/extras/package/macosx/vlc.xcodeproj/project.pbxproj
         reinplace "/SDKROOT/d" \
-            ${worksrcpath}/extras/package/macosx/vlc.xcodeproj/project.pbxproj 
+            ${worksrcpath}/extras/package/macosx/vlc.xcodeproj/project.pbxproj
         reinplace "/Growl.framework/d" \
             ${worksrcpath}/extras/package/macosx/package.mak
 
         reinplace "s:LD_LIBRARY_PATH:DYLD_LIBRARY_PATH:g" \
-            ${worksrcpath}/Makefile.am 
+            ${worksrcpath}/Makefile.am
 
         reinplace "/argv/s/environ/*_NSGetEnviron()/" \
             ${worksrcpath}/modules/misc/inhibit/xdg.c \
@@ -355,20 +278,9 @@
         eval file delete [glob ${destroot}${prefix}/lib/vlc/plugins/*/*.la]
 
         if {[variant_isset qt4] || [variant_isset quartz]} {
-            file rename ${worksrcpath}/VLC.app ${destroot}${applications_dir}/VLC.app
-
-            # These are already in ${prefix}, so we don't need to bundle them as well
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/Frameworks
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/lib
-
-            # There's no need to install these into the bundle and the prefix
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/MacOS/include
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/MacOS/lib
-            file delete -force ${destroot}${applications_dir}/VLC.app/Contents/MacOS/plugins
-
-            # http://trac.macports.org/ticket/35131
-            ln -s ${prefix}/lib ${destroot}${applications_dir}/VLC.app/Contents/MacOS/lib
-            ln -s ${prefix}/lib/vlc/plugins ${destroot}${applications_dir}/VLC.app/Contents/MacOS/plugins
+            file copy ${worksrcpath}/VLC.app ${destroot}${applications_dir}/VLC.app
+            file copy ${worksrcpath}/modules/plugins.dat \
+                 ${destroot}${applications_dir}/VLC.app/Contents/MacOS/plugins/plugins.dat
         }
     }
 }
diff -urN -x .DS_Store /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC-devel/files/configure.ac-no-arch.patch ./files/configure.ac-no-arch.patch
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC-devel/files/configure.ac-no-arch.patch	2014-01-01 03:30:17.000000000 -0500
+++ ./files/configure.ac-no-arch.patch	2013-09-26 12:00:32.000000000 -0400
@@ -1,31 +1,30 @@
---- configure.ac.orig	2013-12-31 23:26:06.000000000 -0800
-+++ configure.ac	2013-12-31 23:35:58.000000000 -0800
-@@ -138,22 +138,11 @@ case "${host_os}" in
-     SYS=dragonfly
+--- configure.ac.orig	2013-03-31 16:51:03.000000000 -0700
++++ configure.ac	2013-03-31 16:51:47.000000000 -0700
+@@ -127,33 +127,12 @@ case "${host_os}" in
      ;;
    darwin*)
--
+ 
 -    dnl Force gcc "-arch" flag
 -    ARCH_flag=""
-     case "${host}" in
-       i?86*)
+-    case "${host}" in
+-      i?86*)
 -        ARCH_flag="-arch i386"
-         YASMFLAGS="-f macho32"
-       ;;
+-      ;;
 -      ppc64*)
 -        ARCH_flag="-arch ppc64"
 -      ;;
 -      ppc*)
 -        ARCH_flag="-arch ppc"
 -      ;;
-       x86_64*)
+-      x86_64*)
 -        ARCH_flag="-arch x86_64"
-         YASMFLAGS="-f macho64"
-       ;;
-       arm*)
-@@ -163,11 +152,10 @@ case "${host_os}" in
-     esac
- 
+-      ;;
+-      arm*)
+-        ac_cv_c_bigendian="no"
+-        ac_cv_c_attribute_packed="no"
+-      ;;
+-    esac
+-
      SYS=darwin
 -    CFLAGS="${CFLAGS} -D_INTL_REDIRECT_MACROS ${ARCH_flag}"
 -    CXXFLAGS="${CXXFLAGS} -D_INTL_REDIRECT_MACROS ${ARCH_flag}"
@@ -34,8 +33,9 @@
 -    LDFLAGS="${LDFLAGS} -Wl,-headerpad_max_install_names ${ARCH_flag}"
 +    CFLAGS="${CFLAGS} -D_INTL_REDIRECT_MACROS"
 +    CXXFLAGS="${CXXFLAGS} -D_INTL_REDIRECT_MACROS"
++    CPPFLAGS="${CPPFLAGS}"
 +    OBJCFLAGS="${OBJCFLAGS} -D_INTL_REDIRECT_MACROS -std=gnu99"
 +    LDFLAGS="${LDFLAGS} -Wl,-headerpad_max_install_names"
+     VLC_ADD_LIBS([motion rotate], [-Wl,-framework,IOKit,-framework,CoreFoundation])
      VLC_ADD_LIBS([libvlc vlc],[-Wl,-undefined,dynamic_lookup,-framework,AppKit])
-     VLC_ADD_LIBS([avcodec access_avio swscale postproc i420_rgb_mmx x262 x264 x26410b],[-Wl,-read_only_relocs,suppress])
-     VLC_ADD_LIBS([libvlccore],[-Wl,-framework,CoreFoundation,-framework,CoreServices])
+     VLC_ADD_LIBS([avcodec access_avio swscale postproc i420_rgb_mmx x264 x26410b],[-Wl,-read_only_relocs,suppress])
diff -urN -x .DS_Store /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC-devel/files/no-sparkle.patch ./files/no-sparkle.patch
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC-devel/files/no-sparkle.patch	2014-01-01 03:30:17.000000000 -0500
+++ ./files/no-sparkle.patch	2013-12-11 08:23:09.000000000 -0500
@@ -70,15 +70,14 @@
 index c5fced6..da7d001 100644
 --- modules/gui/macosx/intf.m
 +++ modules/gui/macosx/intf.m
-@@ -69,8 +69,6 @@
- #import "VideoEffects.h"
+@@ -69,7 +69,6 @@
  #import "AudioEffects.h"
  
+ #import <AddressBook/AddressBook.h>         /* for crashlog send mechanism */
 -#import <Sparkle/Sparkle.h>                 /* we're the update delegate */
--
+ 
  #import "iTunes.h"
  
- /*****************************************************************************
 @@ -916,16 +915,6 @@ static VLCMain *_o_sharedMainInstance = nil;
  }
  
@@ -96,10 +95,9 @@
  #pragma mark Media Key support
  
  -(void)mediaKeyTap:(SPMediaKeyTap*)keyTap receivedMediaKeyEvent:(NSEvent*)event
-diff --git modules/gui/macosx/simple_prefs.m modules/gui/macosx/simple_prefs.m
-index a91fe3a..4407d25 100644
---- modules/gui/macosx/simple_prefs.m
-+++ modules/gui/macosx/simple_prefs.m
+diff -u modules/gui/macosx/simple_prefs.m.orig modules/gui/macosx/simple_prefs.m
+--- modules/gui/macosx/simple_prefs.m.orig	2013-12-11 08:20:00.000000000 -0500
++++ modules/gui/macosx/simple_prefs.m	2013-12-11 08:21:56.000000000 -0500
 @@ -38,8 +38,6 @@
  #import "AppleRemote.h"
  #import "CoreInteraction.h"
@@ -109,7 +107,7 @@
  static const char *const ppsz_language[] =
  {
      "auto",
-@@ -365,7 +363,6 @@ create_toolbar_item(NSString * o_itemIdent, NSString * o_name, NSString * o_desc
+@@ -365,7 +363,6 @@
      [o_intf_appleremote_sysvol_ckb setTitle: _NS("Control system volume with the Apple Remote")];
      [o_intf_mediakeys_ckb setTitle: _NS("Control playback with media keys")];
      [o_intf_update_ckb setTitle: _NS("Automatically check for updates")];
@@ -117,7 +115,7 @@
      [o_intf_enableGrowl_ckb setTitle: _NS("Enable Growl notifications (on playlist item change)")];
      [o_intf_autoresize_ckb setTitle: _NS("Resize interface to the native video size")];
      [o_intf_pauseminimized_ckb setTitle: _NS("Pause the video playback when minimized")];
-@@ -585,10 +582,6 @@ static inline char * __config_GetLabel(vlc_object_t *p_this, const char *psz_nam
+@@ -585,10 +582,6 @@
      [self setupButton: o_intf_appleremote_sysvol_ckb forBoolValue: "macosx-appleremote-sysvol"];
  
      [self setupButton: o_intf_mediakeys_ckb forBoolValue: "macosx-mediakeys"];
diff -urN -x .DS_Store /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC-devel/files/qtkit.patch ./files/qtkit.patch
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/VLC-devel/files/qtkit.patch	2013-09-27 17:31:33.000000000 -0400
+++ ./files/qtkit.patch	2013-09-26 12:00:32.000000000 -0400
@@ -0,0 +1,19 @@
+--- modules/access/Modules.am
++++ modules/access/Modules.am
+@@ -1,3 +1,5 @@
++AM_LIBTOOLFLAGS=--tag=CC
++
+ SUBDIRS = rtp
+ noinst_LTLIBRARIES =
+ 
+--- modules/access/qtsound.m
++++ modules/access/qtsound.m
+@@ -40,7 +40,7 @@
+ #include <vlc_dialog.h>
+ 
+ //#define QTKIT_VERSION_MIN_REQUIRED 70603
+-#define QTKIT_VERSION_MAX_ALLOWED 70700
++//#define QTKIT_VERSION_MAX_ALLOWED 70700
+ 
+ #import <QTKit/QTKit.h>
+ 