--- Portfile.orig	2013-12-20 13:49:33.000000000 -0600
+++ Portfile	2013-12-20 13:22:58.000000000 -0600
@@ -4,7 +4,7 @@
 
 name                vim
 set vim_version     7.4
-set vim_patchlevel  052
+set vim_patchlevel  131
 version             ${vim_version}.${vim_patchlevel}
 categories          editors
 platforms           darwin freebsd
@@ -92,7 +92,86 @@
     7.4.049 md5 9664c92bd4c17065a4df9dc24c63ac76 \
     7.4.050 md5 b15ffb4672e82d67cf3ea5d3fdc77ed8 \
     7.4.051 md5 6b2af52b734806187f9e7effc2e43d64 \
-    7.4.052 md5 d32a541d7f5224c9fdacb6a81a73d695
+    7.4.052 md5 d32a541d7f5224c9fdacb6a81a73d695 \
+    7.4.053 md5 9d47ebc404be7fb399031751e1751846 \
+    7.4.054 md5 a28c2b89b23233bc8923ed6180647b4e \
+    7.4.055 md5 ea670cb50696e36b8619877c2f90bab1 \
+    7.4.056 md5 3035ff2de9fea29034fd1babe465c2c5 \
+    7.4.057 md5 a181edc322e2240cdab8beda2af69301 \
+    7.4.058 md5 5b309b2742a07a0d5909234139456331 \
+    7.4.059 md5 05def513b70d2364d64ce1e02589fe8a \
+    7.4.060 md5 8fd31eae3d039f665756bd5cf72c6c3d \
+    7.4.061 md5 0305c9c20e3dd02331f38505eeb386b7 \
+    7.4.062 md5 2aa95bf08e3e29504abe511e6f2e83bf \
+    7.4.063 md5 58a8b743a5adaa3e6ed636e52cd7d552 \
+    7.4.064 md5 71be80d6479883f9666d58efd4b0d329 \
+    7.4.065 md5 5309435b25f35b3f72945e53336cea01 \
+    7.4.066 md5 c2d4092358a9ac65278c06ab8f967ae0 \
+    7.4.067 md5 95d36725184ad03510323145b4bb4a05 \
+    7.4.068 md5 cfd15e5a6a31abd52883697d26ca07ef \
+    7.4.069 md5 1c3103031f71afef8d456626cd62cf0c \
+    7.4.070 md5 cdce38ccd5248e5827d8269ab141d363 \
+    7.4.071 md5 2e8f9ed6c0a1956e1fa2e50bfe0dab5d \
+    7.4.072 md5 26b0405c10a1ce5cf6ccf5721c4ad1e3 \
+    7.4.073 md5 3d278546ac40f60c8ab9cf81540cff69 \
+    7.4.074 md5 b21afbe7575f1f52df7a441c295aff63 \
+    7.4.075 md5 d4e190298245ea78831c097f9ae80e07 \
+    7.4.076 md5 00134cdf22d4ec8e6f9d8e6fb83dc6ac \
+    7.4.077 md5 7901dab17aea76e4aaf810f0d806e286 \
+    7.4.078 md5 36112f02dba683f4cff66100c0671364 \
+    7.4.079 md5 f4615bba652dd366d6e65c25ae166fde \
+    7.4.080 md5 fd2a1a407c5dd7a6764293ab189667df \
+    7.4.081 md5 6270d3217b606a845b6cb541f140b7e7 \
+    7.4.082 md5 d67c1fde653f381d923825fb03e8082e \
+    7.4.083 md5 f56746374b4087dff91ffa99f86e219d \
+    7.4.084 md5 c3505655d6d180be21f5d77c68950a2b \
+    7.4.085 md5 f35c7e21ba6b3945637e0d8ce4f11e5c \
+    7.4.086 md5 fd850b010ca569ea84e461420bf66cb9 \
+    7.4.087 md5 b8f239f720256e68a0f89c8bd4186f71 \
+    7.4.088 md5 2a95f6de4ba9f9847d735bc94138d5cd \
+    7.4.089 md5 a2de53ff09fdf780e1c53351053e8275 \
+    7.4.090 md5 34de6b8053e179ac0d80bac2ddd30708 \
+    7.4.091 md5 746d0736e19238bafe722eba54311a8e \
+    7.4.092 md5 ac3ff0195ecdaacc3ed5f53518598514 \
+    7.4.093 md5 25771c5c957afbcab2ccf0b9eec788bd \
+    7.4.094 md5 52bb149c0120deaf978688b94cdf8ed7 \
+    7.4.095 md5 41abd5c417eb375ed673a0b342403ec9 \
+    7.4.096 md5 f5cd9f26ef23923bb88a1cacbfef3c3b \
+    7.4.097 md5 ecc8d3762504c8dee0331911049a4965 \
+    7.4.098 md5 30f3be5b65a3512a018ff50d0438ddfa \
+    7.4.099 md5 f67d7f5942e9561d00e7483f4ee42380 \
+    7.4.100 md5 a76c2f081b94e51b4820fb08e66839b5 \
+    7.4.101 md5 0caea69290c75b50ef648d116bdd5c79 \
+    7.4.102 md5 41e50f33a37e30b53231bb3555ab5725 \
+    7.4.103 md5 8800e40a012a3c75b4368cf6a32b2625 \
+    7.4.104 md5 f3934e6f9f1c549a0829d0bff021ce05 \
+    7.4.105 md5 45fc498daee2f69abeae785cf841b516 \
+    7.4.106 md5 9d14772c23637258fcdb45d333082387 \
+    7.4.107 md5 533c3d3c69b3dab50ebba3de88508cdd \
+    7.4.108 md5 6d34383b901c8b40d4dc1339a66e89f9 \
+    7.4.109 md5 2ce1da8a07c25c320caffb05416db428 \
+    7.4.110 md5 9890ea1419d17bc0458df4063d6ab717 \
+    7.4.111 md5 887c30df358b7ef83ab5cf239fd2af4f \
+    7.4.112 md5 7508dd10f72dff553028172f2e79efd3 \
+    7.4.113 md5 a5355b5fcd27eb5b56a85603dc2e37e6 \
+    7.4.114 md5 d5850be88f63b9337dca9ccaf871b51b \
+    7.4.115 md5 d90f517e074a78376c0e9f1b8290485b \
+    7.4.116 md5 27bc1ae355d4bdf4099761bd972e2617 \
+    7.4.117 md5 aff5b89d042c9b2e2ba8d01cb37124f4 \
+    7.4.118 md5 c021088018ea89edbd8926684ab6bc6d \
+    7.4.119 md5 d86179fc8d481a61f3a655d1f94c7f28 \
+    7.4.120 md5 363551d6c3ec22b6adda01b857618b91 \
+    7.4.121 md5 579433be86c5b70c2d709b03a02f6178 \
+    7.4.122 md5 2857104ab4b978394add0e0c2c0f8ec3 \
+    7.4.123 md5 3d95d356eadaf39c0e010c0bd3607848 \
+    7.4.124 md5 8053e8aa3bdcdac81d9cce2d8ad8b1ca \
+    7.4.125 md5 3da200dad10f8ac37fc902a25d22fc38 \
+    7.4.126 md5 0cb2797bce99ef62d8e8be73205db25e \
+    7.4.127 md5 5fb67adaaec1e5f7a504462784106cc8 \
+    7.4.128 md5 e5ef188aa15567130d452eabc744b527 \
+    7.4.129 md5 ed308944ad0ba75b7e4701f1125f5f05 \
+    7.4.130 md5 0970745f265cbc68d5e2895a33372852 \
+    7.4.131 md5 06b9896eb8551a9879362f181e956279 \
 
 depends_build       bin:grep:grep
 depends_lib         port:ncurses \