--- Portfile	2014-02-22 12:10:02.000000000 +0100
+++ Portfile.new	2014-02-22 12:10:51.000000000 +0100
@@ -50,13 +50,26 @@
 
 worksrcdir              ATLAS
 
-compiler.blacklist      macports-clang-3.1 macports-clang-3.0 \
-                        macports-clang-2.9
+compiler.blacklist      macports-clang-3.2 macports-clang-3.1  \
+                        macports-clang-3.0 macports-clang-2.9
 
 set     gcc_version      0
 set     use_clang        ""
 
-variant gcc48            conflicts   gcc46 gcc47 clang mpclang33 perf \
+variant gcc49           conflicts   gcc47 gcc48 clang mpclang34 perf\
+                        description {build using macports-gcc-4.9} {
+
+    configure.compiler      macports-gcc-4.9
+}
+
+if {[variant_isset gcc49]} {
+
+    set gcc_version         49
+    set use_clang           ""
+
+}
+
+variant gcc48            conflicts   gcc47 gcc49 clang mpclang34 perf \
                          description {build using macports-gcc-4.8} {
 
     configure.compiler      macports-gcc-4.8
@@ -68,7 +81,7 @@
     set use_clang           ""
 }
 
-variant gcc47           conflicts   gcc46 gcc48 clang mpclang33 perf \
+variant gcc47           conflicts   gcc48 gcc49 clang mpclang34 perf \
                         description {build using macports-gcc-4.7} {
 
     configure.compiler      macports-gcc-4.7
@@ -80,20 +93,8 @@
     set use_clang           ""
 }
 
-variant gcc46           conflicts   gcc47 gcc48 clang mpclang33 perf\
-                        description {build using macports-gcc-4.6} {
-
-    configure.compiler      macports-gcc-4.6
-}
-
-if {[variant_isset gcc46]} {
-
-    set gcc_version         46
-    set use_clang           ""
-
-}
 
-variant clang           conflicts   gcc46 gcc47 gcc48 mpclang33 \
+variant clang           conflicts   gcc47 gcc48 gcc49 mpclang34 \
                         description {use XCode clang and gfortran} {
 
     pre-fetch {
@@ -112,33 +113,33 @@
     set gcc_version         0
 }
 
-variant mpclang33       conflicts   gcc46 gcc47 gcc48 clang perf\
-                        description {use mp-clang-3.3 and gfortran} { 
+variant mpclang34       conflicts   gcc47 gcc48 gcc49 clang perf\
+                        description {use mp-clang-3.4 and gfortran} { 
 
-    configure.compiler      macports-clang-3.3
+    configure.compiler      macports-clang-3.4
 }
 
-if {[variant_isset mpclang33]} {
+if {[variant_isset mpclang34]} {
 
-    set use_clang           "33"
+    set use_clang           "34"
     set gcc_version         0
 }
 
-variant perf conflicts gcc46 gcc47 gcc48 mpclang33 clang \
-             description {Uses clang-mp-3.3 for C and dragonegg-3.3 for Fortran} {
+variant perf conflicts gcc47 gcc48 gcc49 mpclang34 clang \
+             description {Uses clang-mp-3.4 for C and dragonegg-3.4 for Fortran} {
 
-    configure.compiler      macports-clang-3.3
-    depends_build-append    port:dragonegg-3.3-gcc-4.8
-    configure.f77           ${prefix}/bin/dragonegg-3.3-gfortran-mp-4.8
+    configure.compiler      macports-clang-3.4
+    depends_build-append    port:dragonegg-3.4-gcc-4.8
+    configure.f77           ${prefix}/bin/dragonegg-3.4-gfortran-mp-4.8
 
     set clang_flags         "-O3 -fPIC -fomit-frame-pointer" 
     set gcc_flags           "${clang_flags} \
-                            -specs=${prefix}/libexec/dragonegg/llvm33gcc48-integrated-as.specs"
+                            -specs=${prefix}/libexec/dragonegg/llvm34gcc48-integrated-as.specs"
 }
 
 if {[variant_isset perf]} {
 
-    set use_clang           "33"
+    set use_clang           "34"
     set gcc_version         48
 }
 
@@ -178,11 +179,11 @@
 }
 
 # If none of the above variants is chosen, make gcc47 the default for
-# up to SSE4.2 (Core i1) capable processors, and mp-clang-3.3 for newer
+# up to SSE4.2 (Core i1) capable processors, and XCode-clang for newer
 
-if {![variant_isset gcc46] && ![variant_isset gcc47] && \
-    ![variant_isset gcc48] && ![variant_isset clang] && \
-    ![variant_isset perf] && ![variant_isset mpclang33]} {
+if {![variant_isset gcc47] && ![variant_isset gcc48] && \
+    ![variant_isset gcc49] && ![variant_isset clang] && \
+    ![variant_isset perf] && ![variant_isset mpclang34]} {
 
     if {${has_avx} == "no"} {
     
@@ -192,10 +193,10 @@
         set use_clang       ""
     } else {
     
-        # Defaults to clang-mp-3.3
-        default_variants    +mpclang33
+        # Defaults to clang
+        default_variants    +clang
         set gcc_version     0
-        set use_clang       "33"
+        set use_clang       "XCode"
     }
 }
 
@@ -432,7 +433,7 @@
 
         # Output the F77 selected compiler
         if {[variant_isset perf]} {
-            ui_msg "Using dragonegg-3.3-gfortran-mp-4.8 as Fortran compiler."
+            ui_msg "Using dragonegg-3.4-gfortran-mp-4.8 as Fortran compiler."
         } else {
             ui_msg "Selected F77 compiler: gfortran${gcc_version}"
         }
@@ -478,7 +479,7 @@
         
         # AVX stuff. GCC compilers cannot use AVX instruction set because the
         # system as(1) is outdated
-        # Clang 3.3 is fine
+        # Clang 3.4 is fine
 
         if {${has_avx} == "yes" && ${use_clang} == ""} {
 