diff -urN -x .DS_Store /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/hdhomerun_gui/Portfile ./Portfile
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/hdhomerun_gui/Portfile	2013-07-15 12:03:16.000000000 -0400
+++ ./Portfile	2014-02-22 13:43:51.000000000 -0500
@@ -2,15 +2,19 @@
 # $Id: Portfile 98191 2012-09-28 02:03:19Z ecronin@macports.org $
 
 PortSystem          1.0
+PortGroup           app 1.0
 
 name                hdhomerun_gui
-version             20120405
+version             20140121
 categories          multimedia
 platforms           darwin
 license             GPL-3
 maintainers         nomaintainer
-description         HDHomeRun GTK GUI
-long_description    ${description}
+description         HDHomeRun configuration utility, GTK GUI
+long_description    Provides a utility program to access, configure and test \
+                    HDHomeRun network tuner devices from SiliconDust including viewing \
+                    live television.  May also be used to upgrade firmware.  Uses GTK \
+                    graphical environment.
 homepage            http://www.silicondust.com/
 
 master_sites        http://download.silicondust.com/hdhomerun
@@ -21,17 +25,17 @@
 patch.args          -p1
 extract.suffix      .tgz
 worksrcdir          hdhomerun_config_gui
-checksums           rmd160 e0d1b748878a93b569482c685071ed1706aa09ad \
-                    sha256 a2a9bee89d2911dd15024da53329bccf7cc5f14f801af12f32e50e0b54529ed2
+checksums           rmd160  1647563fee263f150cc52018c26c33199818946c \
+                    sha256  56575484578ce5a116a20e342969e41d60ad7db1212eb8c21ed134f14b6efd99
+
 livecheck.type      regex
 livecheck.url       http://www.silicondust.com/support/hdhomerun/downloads/
 livecheck.regex     Current release: (\[0-9\]+)
 
 depends_build       port:pkgconfig
 depends_lib         port:hdhomerun port:gtk2
-# VLC-devel would also be acceptable.  VLC09 is not.  Patch to handle
-# this welcome
-depends_run         port:VLC
+depends_run         port:VLC \
+                    path:bin/Xquartz:xorg-server
 
 post-patch {
     reinplace "s|@FIRMWARE_DIR@|${prefix}/share/hdhomerun/|g" \
@@ -42,16 +46,18 @@
         ${worksrcpath}/OSX/Info.plist
 }
 
-post-destroot {
-    set app_contents \
-        "${destroot}${applications_dir}/HDHomeRun Config.app/Contents"
+post-build {
+# no execute permission, will refuse to run with "Error 126", Permission denied
+    file attributes ${worksrcpath}/install-sh -permissions +x
+}
 
-    xinstall -d -m 0755 ${app_contents}/Resources
-    xinstall -d -m 0755 ${app_contents}/MacOS
+app.name            HDHomerun
+app.executable      hdhomerun_config_gui
+app.icon            ${worksrcpath}/OSX/hdhr.icns
 
-    xinstall -m 0644 ${filespath}/PkgInfo ${app_contents}
-    xinstall -m 0644 ${worksrcpath}/OSX/Info.plist ${app_contents}
-    xinstall -m 0644 ${worksrcpath}/OSX/hdhr.icns \
-        ${app_contents}/Resources
-    ln -s ${prefix}/bin/hdhomerun_config_gui ${app_contents}/MacOS/
+post-destroot {
+# Stop icon from bouncing on dock
+# see https://trac.macports.org/ticket/40110
+    reinplace -E {s|(<string>APPL</string>)|\1 <key>LSUIElement</key><string>1</string>|} \
+        "${destroot}${applications_dir}/HDHomerun.app/Contents/Info.plist"
 }
diff -urN -x .DS_Store /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/hdhomerun_gui/files/patch-libhdhomerun.diff ./files/patch-libhdhomerun.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/multimedia/hdhomerun_gui/files/patch-libhdhomerun.diff	2013-07-15 12:03:16.000000000 -0400
+++ ./files/patch-libhdhomerun.diff	2013-12-01 20:49:05.000000000 -0500
@@ -1,8 +1,8 @@
-diff -ur hdhomerun_config_gui.orig/Makefile.in hdhomerun_config_gui/Makefile.in
---- hdhomerun_config_gui.orig/Makefile.in	2011-04-30 18:26:07.000000000 -0400
-+++ hdhomerun_config_gui/Makefile.in	2011-04-30 18:29:17.000000000 -0400
-@@ -177,7 +177,7 @@
- target_alias = @target_alias@
+diff -ur -x .DS_Store -x '*.orig' hdhomerun_config_gui/Makefile.in hdhomerun_config_gui/Makefile.in
+--- hdhomerun_config_gui/Makefile.in	2013-03-23 13:22:13.000000000 -0400
++++ hdhomerun_config_gui/Makefile.in	2013-12-01 20:38:28.000000000 -0500
+@@ -182,7 +182,7 @@
+ top_build_prefix = @top_build_prefix@
  top_builddir = @top_builddir@
  top_srcdir = @top_srcdir@
 -SUBDIRS = ../libhdhomerun src po
@@ -10,10 +10,10 @@
  EXTRA_DIST = \
  	autogen.sh \
  	hdhomerun_config.glade \
-diff -ur hdhomerun_config_gui.orig/src/Makefile.in hdhomerun_config_gui/src/Makefile.in
---- hdhomerun_config_gui.orig/src/Makefile.in	2011-04-30 18:26:07.000000000 -0400
-+++ hdhomerun_config_gui/src/Makefile.in	2011-04-30 18:32:04.000000000 -0400
-@@ -176,7 +176,6 @@
+diff -ur -x .DS_Store -x '*.orig' hdhomerun_config_gui/src/Makefile.in hdhomerun_config_gui/src/Makefile.in
+--- hdhomerun_config_gui/src/Makefile.in	2013-03-23 13:22:13.000000000 -0400
++++ hdhomerun_config_gui/src/Makefile.in	2013-12-01 20:37:55.000000000 -0500
+@@ -181,7 +181,6 @@
  top_builddir = @top_builddir@
  top_srcdir = @top_srcdir@
  INCLUDES = \
@@ -21,7 +21,7 @@
  	-DPACKAGE_DATA_DIR=\""$(datadir)"\" \
  	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
  	@PACKAGE_CFLAGS@
-@@ -192,7 +191,7 @@
+@@ -197,7 +196,7 @@
  	HDHRConfig.cpp HDHRConfig.h
  
  hdhomerun_config_gui_LDADD = \
@@ -30,16 +30,16 @@
  	@PACKAGE_LIBS@ $(INTLLIBS)
  
  all: all-am
-@@ -412,7 +411,7 @@
+@@ -421,7 +420,7 @@
  
- install-dvi: install-dvi-am
+ install-dvi-am:
  
 -install-exec-am: install-binPROGRAMS install-exec-local
 +install-exec-am: install-binPROGRAMS
  
  install-html: install-html-am
  
-@@ -452,7 +451,7 @@
+@@ -469,7 +468,7 @@
  	distclean-generic distclean-tags distdir dvi dvi-am html \
  	html-am info info-am install install-am install-binPROGRAMS \
  	install-data install-data-am install-dvi install-dvi-am \
@@ -48,12 +48,18 @@
  	install-html-am install-info install-info-am install-man \
  	install-pdf install-pdf-am install-ps install-ps-am \
  	install-strip installcheck installcheck-am installdirs \
-@@ -461,8 +460,6 @@
- 	tags uninstall uninstall-am uninstall-binPROGRAMS
+@@ -479,14 +478,6 @@
+ 	uninstall-local
  
  
 -install-exec-local:
--	$(INSTALL) ../../libhdhomerun/libhdhomerun.so $(libdir)
+-	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
+-	$(INSTALL) ../../libhdhomerun/libhdhomerun.so $(DESTDIR)$(libdir)
+-	$(INSTALL) ../../libhdhomerun/hdhomerun_config $(DESTDIR)$(bindir)
+-
+-uninstall-local:
+-	-rm -f "$(DESTDIR)$(libdir)/libhdhomerun.so"
+-	-rm -f "$(DESTDIR)$(bindir)/hdhomerun_config" 
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
  # Otherwise a system limit (for SysV at least) may be exceeded.
  .NOEXPORT: